package com.lz.modules.third.entity;
import lombok.Data;
import java.util.Date;
/**
* <p>
* 菜单权限表
* </p>*第三方消息发送记录
* @author quyixiao
* @since 2020-08-19
*/


@Data
public class ThirdMsgSendRecordReq implements java.io.Serializable {
  
    private int page = 1;
    private int rows = 10;
    private String sort;
    private String order;
    //
    private Long id;
    //
    private Integer isDelete;
    //
    private Date createTime;
    //
    private Date updateTime;
    //消息类型：text，image，voice，file，link，oa，markdown，action_card
    private String msgType;
    //消息头背景色 oa消息中才有
    private String headBgcolor;
    //消息头部标题，最多10个字符 oa消息中，action_card的title
    private String headText;
    //消息标题，oa中的消息体的消息头，link,markdown,action_card的single_title
    private String msgTitle;
    //消息内容，text，link，oa正文，markdown的markdown内容，action_card的markdown内容
    private String msgContent;
    //image，voice，file消息的文件附件id
    private Long mediaId;
    //voice消息的时常信息 不超过60秒
    private String duration;
    //link、oa的message_url，action_card的single_url
    private String msgUrl;
    //link，oa中的图片，如果使用钉钉中的资源ID，请用@资源id的形式
    private String picUrl;
    //oa的pc端url
    private String pcUrl;
    //oa中的消息体，json，Array串[{"key":"说明A","value":"值A"},{"key":"说明B","value":"值B"}]，最多显示6个
    private String form;
    //oa中的单文本信息的数目
    private String richNum;
    //oa中的单文本信息的单位
    private String richUnit;
    //oa中显示的附件数目，不做校验只展示
    private String fileCount;
    //oa中的自定义作者
    private String author;
    //action_card独立跳转是按钮的排列0是竖向排列 1是横向排列
    private String actionCardBtnOrientation;
    //action_card独立跳转的jsonarray [{"tilte":"A按钮","action_url":"A按钮链接"},{"tilte":"B按钮","action_url":"B按钮链接"}]
    private String actionCardBtnList;
    //lz_staff id
    private Long staffId;
    //发送状态：0新建，1已发送，2处理中，3已送达，4未读，5已读，6发送失败，7撤回
    private Integer status;
    //应用ID
    private Long appId;
    //钉钉返回的任务id
    private Long taskId;
    //备注，一些说明
    private String remark;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     *  
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     *  
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     *  
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     *  
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     *  
     * @return
     */
    public Date getUpdateTime() {
        return updateTime;
    }
    /**
     *  
     * @param updateTime
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 消息类型：text，image，voice，file，link，oa，markdown，action_card 
     * @return
     */
    public String getMsgType() {
        return msgType;
    }
    /**
     * 消息类型：text，image，voice，file，link，oa，markdown，action_card 
     * @param msgType
     */
    public void setMsgType(String msgType) {
        this.msgType = msgType;
    }

    /**
     * 消息头背景色 oa消息中才有 
     * @return
     */
    public String getHeadBgcolor() {
        return headBgcolor;
    }
    /**
     * 消息头背景色 oa消息中才有 
     * @param headBgcolor
     */
    public void setHeadBgcolor(String headBgcolor) {
        this.headBgcolor = headBgcolor;
    }

    /**
     * 消息头部标题，最多10个字符 oa消息中，action_card的title 
     * @return
     */
    public String getHeadText() {
        return headText;
    }
    /**
     * 消息头部标题，最多10个字符 oa消息中，action_card的title 
     * @param headText
     */
    public void setHeadText(String headText) {
        this.headText = headText;
    }

    /**
     * 消息标题，oa中的消息体的消息头，link,markdown,action_card的single_title 
     * @return
     */
    public String getMsgTitle() {
        return msgTitle;
    }
    /**
     * 消息标题，oa中的消息体的消息头，link,markdown,action_card的single_title 
     * @param msgTitle
     */
    public void setMsgTitle(String msgTitle) {
        this.msgTitle = msgTitle;
    }

    /**
     * 消息内容，text，link，oa正文，markdown的markdown内容，action_card的markdown内容 
     * @return
     */
    public String getMsgContent() {
        return msgContent;
    }
    /**
     * 消息内容，text，link，oa正文，markdown的markdown内容，action_card的markdown内容 
     * @param msgContent
     */
    public void setMsgContent(String msgContent) {
        this.msgContent = msgContent;
    }

    /**
     * image，voice，file消息的文件附件id 
     * @return
     */
    public Long getMediaId() {
        return mediaId;
    }
    /**
     * image，voice，file消息的文件附件id 
     * @param mediaId
     */
    public void setMediaId(Long mediaId) {
        this.mediaId = mediaId;
    }

    /**
     * voice消息的时常信息 不超过60秒 
     * @return
     */
    public String getDuration() {
        return duration;
    }
    /**
     * voice消息的时常信息 不超过60秒 
     * @param duration
     */
    public void setDuration(String duration) {
        this.duration = duration;
    }

    /**
     * link、oa的message_url，action_card的single_url 
     * @return
     */
    public String getMsgUrl() {
        return msgUrl;
    }
    /**
     * link、oa的message_url，action_card的single_url 
     * @param msgUrl
     */
    public void setMsgUrl(String msgUrl) {
        this.msgUrl = msgUrl;
    }

    /**
     * link，oa中的图片，如果使用钉钉中的资源ID，请用@资源id的形式 
     * @return
     */
    public String getPicUrl() {
        return picUrl;
    }
    /**
     * link，oa中的图片，如果使用钉钉中的资源ID，请用@资源id的形式 
     * @param picUrl
     */
    public void setPicUrl(String picUrl) {
        this.picUrl = picUrl;
    }

    /**
     * oa的pc端url 
     * @return
     */
    public String getPcUrl() {
        return pcUrl;
    }
    /**
     * oa的pc端url 
     * @param pcUrl
     */
    public void setPcUrl(String pcUrl) {
        this.pcUrl = pcUrl;
    }

    /**
     * oa中的消息体，json，Array串[{"key":"说明A","value":"值A"},{"key":"说明B","value":"值B"}]，最多显示6个 
     * @return
     */
    public String getForm() {
        return form;
    }
    /**
     * oa中的消息体，json，Array串[{"key":"说明A","value":"值A"},{"key":"说明B","value":"值B"}]，最多显示6个 
     * @param form
     */
    public void setForm(String form) {
        this.form = form;
    }

    /**
     * oa中的单文本信息的数目 
     * @return
     */
    public String getRichNum() {
        return richNum;
    }
    /**
     * oa中的单文本信息的数目 
     * @param richNum
     */
    public void setRichNum(String richNum) {
        this.richNum = richNum;
    }

    /**
     * oa中的单文本信息的单位 
     * @return
     */
    public String getRichUnit() {
        return richUnit;
    }
    /**
     * oa中的单文本信息的单位 
     * @param richUnit
     */
    public void setRichUnit(String richUnit) {
        this.richUnit = richUnit;
    }

    /**
     * oa中显示的附件数目，不做校验只展示 
     * @return
     */
    public String getFileCount() {
        return fileCount;
    }
    /**
     * oa中显示的附件数目，不做校验只展示 
     * @param fileCount
     */
    public void setFileCount(String fileCount) {
        this.fileCount = fileCount;
    }

    /**
     * oa中的自定义作者 
     * @return
     */
    public String getAuthor() {
        return author;
    }
    /**
     * oa中的自定义作者 
     * @param author
     */
    public void setAuthor(String author) {
        this.author = author;
    }

    /**
     * action_card独立跳转是按钮的排列0是竖向排列 1是横向排列 
     * @return
     */
    public String getActionCardBtnOrientation() {
        return actionCardBtnOrientation;
    }
    /**
     * action_card独立跳转是按钮的排列0是竖向排列 1是横向排列 
     * @param actionCardBtnOrientation
     */
    public void setActionCardBtnOrientation(String actionCardBtnOrientation) {
        this.actionCardBtnOrientation = actionCardBtnOrientation;
    }

    /**
     * action_card独立跳转的jsonarray [{"tilte":"A按钮","action_url":"A按钮链接"},{"tilte":"B按钮","action_url":"B按钮链接"}] 
     * @return
     */
    public String getActionCardBtnList() {
        return actionCardBtnList;
    }
    /**
     * action_card独立跳转的jsonarray [{"tilte":"A按钮","action_url":"A按钮链接"},{"tilte":"B按钮","action_url":"B按钮链接"}] 
     * @param actionCardBtnList
     */
    public void setActionCardBtnList(String actionCardBtnList) {
        this.actionCardBtnList = actionCardBtnList;
    }

    /**
     * lz_staff id 
     * @return
     */
    public Long getStaffId() {
        return staffId;
    }
    /**
     * lz_staff id 
     * @param staffId
     */
    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    /**
     * 发送状态：0新建，1已发送，2处理中，3已送达，4未读，5已读，6发送失败，7撤回 
     * @return
     */
    public Integer getStatus() {
        return status;
    }
    /**
     * 发送状态：0新建，1已发送，2处理中，3已送达，4未读，5已读，6发送失败，7撤回 
     * @param status
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 应用ID 
     * @return
     */
    public Long getAppId() {
        return appId;
    }
    /**
     * 应用ID 
     * @param appId
     */
    public void setAppId(Long appId) {
        this.appId = appId;
    }

    /**
     * 钉钉返回的任务id 
     * @return
     */
    public Long getTaskId() {
        return taskId;
    }
    /**
     * 钉钉返回的任务id 
     * @param taskId
     */
    public void setTaskId(Long taskId) {
        this.taskId = taskId;
    }

    /**
     * 备注，一些说明 
     * @return
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 备注，一些说明 
     * @param remark
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "ThirdMsgSendRecord{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",msgType=" + msgType +
                ",headBgcolor=" + headBgcolor +
                ",headText=" + headText +
                ",msgTitle=" + msgTitle +
                ",msgContent=" + msgContent +
                ",mediaId=" + mediaId +
                ",duration=" + duration +
                ",msgUrl=" + msgUrl +
                ",picUrl=" + picUrl +
                ",pcUrl=" + pcUrl +
                ",form=" + form +
                ",richNum=" + richNum +
                ",richUnit=" + richUnit +
                ",fileCount=" + fileCount +
                ",author=" + author +
                ",actionCardBtnOrientation=" + actionCardBtnOrientation +
                ",actionCardBtnList=" + actionCardBtnList +
                ",staffId=" + staffId +
                ",status=" + status +
                ",appId=" + appId +
                ",taskId=" + taskId +
                ",remark=" + remark +
                "}";
    }
}